#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
ll n;
main(){
cin >> n;
vector<ll> a, b;
vector< ll > c,d;
for(ll i=1; i <= n ; i++){
    c.push_back(i);
}
for(ll i=n+1; i <=2*n; i++){
    d.push_back(i);
}

for(ll i=0; i < n; i++){
     //   cout << "usao";
    if(i%2==0){
        a.push_back(d[i]);
        a.push_back(c[i]);
    }
    else{
        b.push_back(d[i]);
        b.push_back(c[i]);
    }
}
if(n%2==1)b.push_back(n);
for(ll i=0; i < n; i++)cout << a[i] << " ";
cout << endl;
for(ll i=0; i < n; i++)cout << b[i] << " ";
}